Bug 601436 - Unable To Add User-Designed Components To Eeschema Component Library
Unable To Add User-Designed Components To Eeschema Component Library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kicad (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 20:11 EDT by Bob Cochran
Modified: 2010-06-08 13:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 02:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shows error that results when trying to save a new component to the kicad library. (11.05 KB, image/png)
2010-06-07 20:11 EDT, Bob Cochran
no flags Details
Shows error that results when trying to rename and save a new component (9.73 KB, image/png)
2010-06-07 20:14 EDT, Bob Cochran
no flags Details

  None (edit)
Description Bob Cochran 2010-06-07 20:11:39 EDT
Created attachment 421979 [details]
Shows error that results when trying to save a new component to the kicad library.

Description of problem:

When you open eeschema and want to add a new component to the component library, you cannot do so because the directory /usr/share/kicad/library is owned by root.

Version-Release number of selected component (if applicable):
2010.03.14-3.rev2463.fc13.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Start kicad
2. Start eeschema
3. Start the library editor.
4. Select a component library such as 'conn'.
4. Design a new component.
5. Attempt to save the new component to the library directory.
  
Actual results:

Uable to save the component. See the attachments below for the error dialog boxes that result.

Expected results:

The new component should save normally to the component library being modified.


Additional info:

Should the kicad library be kept under /usr, since users need to be able to write to the component library?
Comment 1 Bob Cochran 2010-06-07 20:14:07 EDT
Created attachment 421980 [details]
Shows error that results when trying to rename and save a new component
Comment 2 Alain Portal 2010-06-08 02:53:38 EDT
This isn't a bug.
You have to create a new library in your home directory if you want add a new component. You can then access this library using the Preferences->Library menu, adding a new path in "user defined search path" then adding your library in "Component library files"
Comment 3 Bob Cochran 2010-06-08 13:39:30 EDT
Thanks for telling me this. I was using the kicad tutorial found at:

/usr/share/doc/kicad/tutorials/en/KiCad Tutorial.pdf

which is a bit outdated -- it refers to an older version of KiCad and the particular steps I followed to create a new component do not tell you to create a new library in your home directory. Perhaps the tutorial should be updated.

If the method you specify to create a new component library is indeed the preferred, then the program's error messages should alert the user to that. I'm new to KiCad and had no indication that I have to do this.

Note You need to log in before you can comment on or make changes to this bug.